Get document reviews
GET/documents/:documentId/reviews
Get a listing of reviews for a document
Request
Path Parameters
Document Identifier
Query Parameters
Site Identifier
Artifact Document Identifier
Limit Results
10Next page of results token
Responses
- 200
200 OK
Response Headers
Access-Control-Allow-Origin
string
Access-Control-Allow-Methods
string
Access-Control-Allow-Headers
string
- application/json
- Schema
- Example (from schema)
Schema
Array [
- PENDING: Review has been created and is waiting for one or more decisions.
- IN_PROGRESS: Review has been claimed or at least one decision has been submitted, but completion requirements are not yet satisfied.
- COMPLETED: Completion requirements are satisfied.
- CANCELLED: Review was cancelled before completion.
- SUPERSEDED: Review was replaced by another review, usually because the artifact/document changed.
]
Next page of results token
reviews
object[]
List of document reviews
Document Identifier
Artifact Identifier
Review Identifier
Review category
Status of Document Review:
Possible values: [PENDING, IN_PROGRESS, COMPLETED, CANCELLED, SUPERSEDED]
Optional approval groups used for additional credential verification when submitting a decision to POST /documents/{documentId}/reviews/{reviewId}/decisions. The caller must belong to at least one of the listed groups, in addition to satisfying the existing authorization requirements.
Number of decisions required to complete the review
User who added review
Review comments
Inserted Timestamp
Last Modified Timestamp
{
"next": "string",
"reviews": [
{
"documentId": "string",
"artifactId": "string",
"reviewId": "string",
"reviewCategory": "string",
"reviewStatus": "PENDING",
"approvalGroups": [
"string"
],
"requiredDecisions": 0,
"userId": "string",
"comments": "string",
"insertedDate": "string",
"lastModifiedDate": "string"
}
]
}